package gaiacrtn.diffword.ui.model;

import gaiacrtn.swing.model.ModelString;

import javax.swing.*;
import java.io.File;

public class ModelFilename extends ModelString {
   public ModelFilename( String strFilename ) {
      super( strFilename );
   }

   public void chooseFilename() {
      String strFilename = text();
      JFileChooser fileChooser = new JFileChooser( strFilename );
      fileChooser.setSelectedFile( new File( strFilename ) );
      int nOk = fileChooser.showOpenDialog( null );
      if ( nOk == JFileChooser.APPROVE_OPTION )
         setText( fileChooser.getSelectedFile().getAbsolutePath() );
   }
}
