/**
 * Title:        <p>
 * Description:  <p>
 * Copyright:    Copyright (c) <p>
 * Company:      <p>
 * @author
 * @version 1.0
 */
package gaiacrtn.swing;

import gaiacrtn.config.ResourceApp;

import javax.swing.*;
import java.util.MissingResourceException;

public class CommandInfo {
   public String strCmdName;
   public String strLabel;
   public String strLabelMenu;
   public Icon iconCmd;

   public CommandInfo( String strName ) {
      strCmdName = strName;
      String strCmdPrefix = "cmd." + strCmdName;
      try {
         strLabel = ResourceApp.res.getString( strCmdPrefix + "_label" );
      } catch (MissingResourceException e) {
         strLabel = strCmdName;
         System.err.println( "Missing Resource: " + strCmdPrefix + "_label" );
      }

      try {
         strLabelMenu = ResourceApp.res.getString( strCmdPrefix + "_menu" );
      } catch (MissingResourceException e) {
      }

      try {
         String strIconFilename =
               ResourceApp.res.getString( strCmdPrefix + "_icon" );
         if ( strIconFilename != null ) {
            iconCmd = new ImageIcon( ResourceApp.appFilename( strIconFilename ) );
         }
      } catch (MissingResourceException e) {
      }
   }
}
