/**
 * Title:        <p>
 * Description:  <p>
 * Copyright:    Copyright (c) <p>
 * Company:      <p>
 * @author
 * @version 1.0
 */
package gaiacrtn.swing;

import java.util.NoSuchElementException;

/** Menu entry iterator.
 */
interface MenuDefIterator {
   /** Gets the number of menu entry.
    * @return Number of menu entry.
    */
   public int size();

   /** Sets the iterator on the first menu entry.
    */
   public void begin();

   /** Tests if another menu entry is available.
    * @return \c true if another menu entry is available.
    */
   public boolean hasNext();

   /** Retreives the next menu entry.
    * @return Next menu entry.
    * @exception NoSuchElementException Thrown if no menu entry is available.
    */
   public MenuDefEntry next() throws NoSuchElementException;
}
