package gaiacrtn.diffword;

import gaiacrtn.util.diff.DiffWrapper;
import gaiacrtn.util.TextReader;

import java.util.List;
import java.io.PrintStream;

/**
 * Created by IntelliJ IDEA.
 * User: Ice Breaker
 * Date: 20 fvr. 2003
 * Time: 23:10:07
 * To change this template use Options | File Templates.
 */
public class DiffHolder {
   private List _listMarker0;
   private List _listMarker1;
   private DiffWrapper _diffResult;

   /** Constructs Words List from the specified files.
    */
   DiffHolder( String strFilename0, String strFilename1 ) {
      System.out.println( "Reading text 1" );
      TextMarkerLineProcessor builderWords =
            new TextMarkerLineProcessor( new TextMarkerFactory() );
      TextReader.read( strFilename0, builderWords );
      _listMarker0 = builderWords.takeMarkers();
      System.out.println( "Reading text 2" );
      TextReader.read( strFilename1, builderWords );
      _listMarker1 = builderWords.takeMarkers();
   }

   void buildHtmlChanges( PrintStream shtml ) {
      if ( _diffResult == null )
         _diffResult = new DiffWrapper( _listMarker0.toArray(), _listMarker1.toArray() );
      HTMLDiffProcessor processor = new HTMLDiffProcessor( _listMarker0, _listMarker1, shtml );
      _diffResult.processResult( processor );
      processor.finishProcessing();
   }
}
