/**
 * Title:        <p>
 * Description:  <p>
 * Copyright:    Copyright (c) <p>
 * Company:      <p>
 * @author
 * @version 1.0
 */
package gaiacrtn.swing;

import javax.swing.*;
import java.awt.event.InputEvent;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class PopupMenuFeel {

   public PopupMenuFeel() {
   }

   static public void addPopupMenu( JTable table,
                                    PopupMenuFactoryTable factory ) {
      table.addMouseListener( new MouseAdapterTablePopup( table, factory ) );
   }
}

class MouseAdapterTablePopup extends MouseAdapter {
   private PopupMenuFactoryTable _factory;
   private JTable _table;

   MouseAdapterTablePopup( JTable table,
                           PopupMenuFactoryTable factory ) {
      _factory = factory;
      _table = table;
   }


   public void mouseClicked( MouseEvent e ) {
      if ( e.getClickCount() == 1 &&
            ( e.getModifiers() & InputEvent.BUTTON3_MASK ) != 0 ) // right button!
      {
         System.out.println( "clicked..." );
         int nCol = _table.columnAtPoint( e.getPoint() );
         int nRow = _table.rowAtPoint( e.getPoint() );
         JPopupMenu menuPopup = _factory.makePopupMenu(
               _table.getModel(),
               _table.getSelectionModel(),
               nRow, nCol );
         if ( menuPopup != null )
            menuPopup.show( e.getComponent(), e.getX(), e.getY() );
         e.consume();
      }
   }
}